Summary:   Virtual Network Computing
Name:      vnc
Version:   3.3.3r2
Release:   6
URL:       http://www.uk.research.att.com/vnc/
Source:    http://www.uk.research.att.com/vnc/dist/%{name}-%{version}_unixsrc.tgz
Source1:   %{name}-access.c
# CAN-2002-1336
Patch0:    %{name}-srandom.patch
Patch1:    %{name}-aix.patch
Patch2:    %{name}-aix-imake.patch
Patch3:    %{name}-aix-vncserver.patch
Prefix:    %{_prefix}
License:   GPL
Group:     Applications/Productivity
BuildRoot: /var/tmp/%{name}-%{version}-root
%define DEFCC cc_r

%description
VNC stands for Virtual Network Computing. It is, in essence, a remote display
system which allows you to view a computing 'desktop' environment not only on
the machine where it is running, but from anywhere on the Internet and from a
wide variety of machine architectures.

%prep
%setup -q -n %{name}_unixsrc
cp -bf %{SOURCE1} Xvnc/programs/Xserver/os/access.c #XFree86 bugzilla #277
%patch0 -p1 -b .srandom
%patch1 -p1 -b .aix
%patch2 -p1 -b .imake
%patch3 -p0 -b .aix

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS"
else
       export GCCFLAGS="EXTRA_LOAD_FLAGS=-Wl,-bnodelcsect PICFLAGS=-Wl,-bM\:SRE
 CXXPICFLAGS=-Wl,-bM\:SRE"

fi
xmkmf
make CDEBUGFLAGS="$CFLAGS" $GCCFLAGS World
cd Xvnc
make CDEBUGFLAGS="$CFLAGS" $GCCFLAGS World

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/bin
install -d $RPM_BUILD_ROOT%{_prefix}/share/vnc/classes
install -m644 classes/* $RPM_BUILD_ROOT%{_prefix}/share/vnc/classes

./vncinstall $RPM_BUILD_ROOT%{_prefix}/bin

install -m644 classes/* $RPM_BUILD_ROOT%{_prefix}/share/vnc/classes

strip $RPM_BUILD_ROOT%{_prefix}/bin/* 2>/dev/null || :

(cd $RPM_BUILD_ROOT
    mkdir -p usr/lpp/X11/bin
    cd usr/lpp/X11/bin
    ln -sf ../../../..%{_prefix}/bin/* .
    cd -
    cd .%{_prefix}
    ln -sf share/vnc vnc
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENCE.TXT README
%{_prefix}/bin/*
/usr/lpp/X11/bin/*
%{_prefix}/share/vnc/classes
%{_prefix}/vnc

%changelog
* Wed Dec  6 2006 Reza Arbab <arbab@austin.ibm.com> 3.3.3r2-6
- Port XFree86 bugzilla #277 fix to Xvnc.  This fixes "Xvnc -query".

* Mon Jul 10 2006 Reza Arbab <arbab@austin.ibm.com> 3.3.3r2-5
- Set more appropriate font path in vncserver script.
- Call Xvnc with "-nolisten local".  Suggested by Markus Alt.

* Thu Jun 22 2006 Reza Arbab <arbab@austin.ibm.com> 3.3.3r2-4
- Apply submitted vncserver script patch.

* Tue Jun 08 2004 Philip K. Warren <pkw@us.ibm.com> 3.3.3r2-3
- Add patch for security issue fixed in CAN-2002-1336.
- Add patch to fix imake error building on AIX 5.1.
- Remove some dead AIX code which is removed in later VNC releases.

* Tue Apr 23 2002 David Clissold <cliss@austin.ibm.com>
- No functional change.  Remove controversial political designation
- from the original gzipped tarball.  Only affects the source RPM.

* Fri Oct 05 2001 Marc Stephenson <marc@austin.ibm.com>
- New version

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Thu Aug 26 1999 Sean P. Kane <kane@ca.metsci.com>
- Added vncserver init script (disappeared from this RPM)
- touch /usr/X11R6/lib/X11/config/host.def since linuxppc has no such file. (re-added iNOUE Koichi's fix that has disappeared from this RPM)

* Tue Aug 24 1999 Arne Coucheron <arneco@online.no>
  [3.3.3-1]
- changed Group, URL and Source tag

* Sat Mar 06 1999 Arne Coucheron <arneco@online.no>
  [3.3.2r3-2]
- recompiled to use the changes made by iNOUE Koichi

* Mon Jan 25 1999 iNOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- added ppc patch and /etc/vnc.conf feature

* Wed Dec 16 1998 Arne Coucheron <arneco@online.no>
  [3.3.2r3-1]

* Mon Dec 07 1998 Arne Coucheron <arneco@online.no>
  [3.3.2r2-2]
- changes to vncserver script to make it work with RH 5.2

* Sat Jul 25 1998 Arne Coucheron <arneco@online.no>
  [3.3.2r2-1]

* Mon Jul 06 1998 Arne Coucheron <arneco@online.no>
  [3.3.2-3]
- it would have been nice if people updating the package would follow
  common sense and do it so using existing ones, and also update their
  changes in the changelog, but I guess some find this rule hard to follow
- binaries moved back to /usr/X11R6/bin

* Tue May 26 1998 Arne Coucheron <arneco@online.no>
  [3.3.2-1]
- moved java classes to /usr/share/vnc/classes
- moved binaries to /usr/bin
- using predefined %%{name} and %%{version}
- using %defattr in filelist, this means that rpm 2.5 is required to build

* Tue Mar 17 1998 Arne Coucheron <arneco@online.no>
  [3.3.1-4]
- added a new font patch, hopefully this works better (Thanks to Gbor J.Tth)

* Sun Mar 01 1998 Arne Coucheron <arneco@online.no>
  [3.3.1-3]
- using buildroot and %attr macros
- added patch to make it build against glibc
- added patch to make it find the fonts on RH5
